Page MenuHomePhabricator

[minor] Change Flow confirmation message to say 'post' instead of 'comments' (when posts are deleted/suppressed)
Closed, ResolvedPublic

Description

  1. On a Flow board click to delete/suppress a post. The popup text box displays a text: "Please explain why you're deleting this post"

  1. Type some text in the box and confirm deletion.
  2. The Flow topic will display: "This comment was deleted..."

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterChange "comment" to "post" in English messages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2016, 7:13 PM

A discussion about terms in the team meeting today enables me to offer some general language guidance:

  • "Post" is generally the preferred term. Every comment on a discussion age is a "post."
  • "Reply" refers to a subset of "posts"--technically to all but the fist post in a topic. Any post, excepting the first in a topic, can be termed a "reply," whether or not it is actually responding directly to a previous post.
  • "Comment" has no particular meaning and should not be used except in a general way.

In light of all that, please fix the language in the message below to say "This post was deleted..."

jmatazzoni renamed this task from [minor]'Comments' vs 'posts' terms discrepancy - when posts get deleted/suppressed to [minor] Change Flow confirmation message to say "post" instead of 'comments' (when posts are deleted/suppressed).Oct 3 2016, 6:41 PM
jmatazzoni renamed this task from [minor] Change Flow confirmation message to say "post" instead of 'comments' (when posts are deleted/suppressed) to [minor] Change Flow confirmation message to say 'post' instead of 'comments' (when posts are deleted/suppressed).

Let's also change all the other 'comment' uses to 'post'.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJan 2 2018, 7:48 PM

Change 401747 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/Flow@master] Change "comment" to "post" in English messages

https://gerrit.wikimedia.org/r/401747

Let's also change all the other 'comment' uses to 'post'.

I have changed English messages to say "post" instead of "comment" where it seemed logical. I don't think we should change all messages which contain "comment"/"commented", as there are lots of messages that contain such strings that make more sense to have "comment" stay. Probably that's what you meant by all, and feel free to suggest other changes.

Change 401747 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Change "comment" to "post" in English messages

https://gerrit.wikimedia.org/r/401747

Etonkovidova closed this task as Resolved.Jan 24 2018, 7:09 PM

Checked in betalabs - 'Hide', 'Delete', and 'Suppress' actions use 'post' only

Etonkovidova added a subscriber: Catrope.EditedFeb 6 2018, 11:04 PM

@Catrope - seems like a weird caching issue?
Checked in testwiki (wmf.20) - upon clicking on 'Hide' the word 'comment' is displayed:

Upon refreshing the page - 'comment' changes to 'post'. It happens repeatedly on the same page.

Etonkovidova reopened this task as Open.Feb 6 2018, 11:05 PM
Etonkovidova closed this task as Resolved.Feb 13 2018, 7:11 PM

Closing the task after re-checking - it seems that the previous comment refers to the initial post-deployment state on testwiki when the cache needed get repopulated.